<?php
class ControllerExtensionPaymentezhifu extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/payment/ezhifu');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('payment_ezhifu', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment'));
		}

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['app_id'])) {
			$data['error_app_id'] = $this->error['app_id'];
		} else {
			$data['error_app_id'] = '';
		}

		if (isset($this->error['app_key'])) {
			$data['error_app_key'] = $this->error['app_key'];
		} else {
			$data['error_app_key'] = '';
		}
		if (isset($this->error['address'])) {
			$data['error_address'] = $this->error['address'];
		} else {
			$data['error_address'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'])
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/payment/ezhifu', 'user_token=' . $this->session->data['user_token'])
		);

		$data['action'] = $this->url->link('extension/payment/ezhifu', 'user_token=' . $this->session->data['user_token']);

		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment');

		if (isset($this->request->post['payment_ezhifu_app_id'])) {
			$data['payment_ezhifu_app_id'] = $this->request->post['payment_ezhifu_app_id'];
		} else {
			$data['payment_ezhifu_app_id'] = $this->config->get('payment_ezhifu_app_id');
		}
		if (isset($this->request->post['payment_ezhifu_address'])) {
			$data['payment_ezhifu_address'] = $this->request->post['payment_ezhifu_address'];
		} else {
			$data['payment_ezhifu_address'] = $this->config->get('payment_ezhifu_address');
		}

		if (isset($this->request->post['payment_ezhifu_app_key'])) {
			$data['payment_ezhifu_app_key'] = $this->request->post['payment_ezhifu_app_key'];
		} else {
			$data['payment_ezhifu_app_key'] = $this->config->get('payment_ezhifu_app_key');
		}

		if (isset($this->request->post['payment_ezhifu_total'])) {
			$data['payment_ezhifu_total'] = $this->request->post['payment_ezhifu_total'];
		} else {
			$data['payment_ezhifu_total'] = $this->config->get('payment_ezhifu_total');
		}
        
		if (isset($this->request->post['payment_ezhifu_order_status_id'])) {
			$data['payment_ezhifu_order_status_id'] = $this->request->post['payment_ezhifu_order_status_id'];
		} else {
			$data['payment_ezhifu_order_status_id'] = $this->config->get('payment_ezhifu_order_status_id');
		}

        if($data['payment_ezhifu_address']=="")$data['payment_ezhifu_address']="http://pay.epayok.xyz/";

		$this->load->model('localisation/order_status');

		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		if (isset($this->request->post['payment_ezhifu_geo_zone_id'])) {
			$data['payment_ezhifu_geo_zone_id'] = $this->request->post['payment_ezhifu_geo_zone_id'];
		} else {
			$data['payment_ezhifu_geo_zone_id'] = $this->config->get('payment_ezhifu_geo_zone_id');
		}

		$this->load->model('localisation/geo_zone');

		$data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();

		if (isset($this->request->post['payment_ezhifu_type'])) {
			$data['payment_ezhifu_type'] = $this->request->post['payment_ezhifu_type'];
		} else {
			$data['payment_ezhifu_type'] = $this->config->get('payment_ezhifu_type');
		}

		if (isset($this->request->post['payment_ezhifu_status'])) {
			$data['payment_ezhifu_status'] = $this->request->post['payment_ezhifu_status'];
		} else {
			$data['payment_ezhifu_status'] = $this->config->get('payment_ezhifu_status');
		}

		if (isset($this->request->post['payment_ezhifu_sort_order'])) {
			$data['payment_ezhifu_sort_order'] = $this->request->post['payment_ezhifu_sort_order'];
		} else {
			$data['payment_ezhifu_sort_order'] = $this->config->get('payment_ezhifu_sort_order');
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/payment/ezhifu', $data));
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'extension/payment/ezhifu')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->request->post['payment_ezhifu_app_id']) {
			$this->error['app_id'] = $this->language->get('error_app_id');
		}

		if (!$this->request->post['payment_ezhifu_app_key']) {
			$this->error['app_key'] = $this->language->get('error_app_key');
		}

		return !$this->error;
	}
}